@echo off
REM This should be run ON the Guest OS. Have PSEXEC or VMRUN or POWERSHELL run these completely on remote
set tools=c:\temp
if not exist "%tools%" mkdir "%tools%"
REM Auto create logfile to match this bat file
set whoami=%~n0
set logfile=%tools%\%whoami%.log 

echo "Starting DeployAV" >>%logfile%
echo %date% >>%logfile%
echo %time% >>%logfile%

REM SET THE FILESHARE HERE
set fileshare=\\<remote file server>\symantec
echo "Fileshare = %fileshare%" >>%logfile%

REM THE MAIN CODE
echo "Retrieving OS Details" >>%logfile%
REG.exe Query "HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion" /v ProductName > "%tools%\CheckServer.txt"
REG.exe Query "HKLM\Hardware\Description\System\CentralProcessor\0" > "%tools%\Check64bit.txt"

If not exist %tools%\CheckServer.txt goto ERROR
Find /i "2003" < "%tools%\CheckServer.txt"
If %ERRORLEVEL% == 0 goto SERVER
Find /i "2008" < "%tools%\CheckServer.txt"
If %ERRORLEVEL% == 0 goto SERVER
goto WORKSTATION

:WORKSTATION
echo "Workstation" >>%logfile%
xcopy /Y /S "%fileshare%\fep\installfep\*.*" "%tools%" 
"%tools%\InstallFEP.bat"
goto END

:SERVER
echo "Server" >>%logfile%
Find /i "x86" < "%tools%\Check64bit.txt"
If %ERRORLEVEL% == 0 (
	echo "32bit" >>%logfile%
    xcopy /Y /S "%fileshare%\WIN_32Bit_Clients\SAV_WIN_32Bit_Clients_Setup.exe" "%tools%"
    "%tools%\SAV_WIN_32Bit_Clients_Setup.exe"
) ELSE (
	echo "64bit" >>%logfile%
    xcopy /Y /S "%fileshare%\WIN_64Bit_Clients\WIN_64Bit_Clients_setup.exe" "%tools%"
    "%tools%\WIN_64Bit_Clients_setup.exe"
)
goto END

:ERROR
echo "Done - With Errors" >>%logfile%
exit 1
:END
echo "Done - Success" >>%logfile%
exit 0
